/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { MetadataTreeExtractedDto } from './metadata-tree-extracted-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProvenanceDto } from './provenance-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RdfDefinitionDto } from './rdf-definition-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { TreeDataType } from './tree-data-type';

/**
 * Represents a data transfer object (DTO) for metadata within a tree structure, extending the base TreeDto.
 * @export
 * @interface MetadataTreeDto
 */
export interface MetadataTreeDto {
    /**
     * The path of the tree item.
     * @type {string}
     * @memberof MetadataTreeDto
     */
    'path'?: string;
    /**
     * 
     * @type {TreeDataType}
     * @memberof MetadataTreeDto
     */
    'type'?: TreeDataType;
    /**
     * Gets or sets the id of the specific metadata tree.
     * @type {string}
     * @memberof MetadataTreeDto
     */
    'id'?: string;
    /**
     * Gets or sets the version associated with the metadata.
     * @type {string}
     * @memberof MetadataTreeDto
     */
    'version'?: string;
    /**
     * Gets or sets the collection of available versions related to the metadata.
     * @type {Array<string>}
     * @memberof MetadataTreeDto
     */
    'availableVersions'?: Array<string>;
    /**
     * 
     * @type {RdfDefinitionDto}
     * @memberof MetadataTreeDto
     */
    'definition'?: RdfDefinitionDto;
    /**
     * 
     * @type {MetadataTreeExtractedDto}
     * @memberof MetadataTreeDto
     */
    'extracted'?: MetadataTreeExtractedDto;
    /**
     * 
     * @type {ProvenanceDto}
     * @memberof MetadataTreeDto
     */
    'provenance'?: ProvenanceDto;
}



